#include<bits/stdc++.h>
using namespace std;
bool snt(int a)
{
	
	if(a<2)	return false;
	if(a>=2)
	{
		int i;
		for(i=2;i*i<=a;i++)
		{
			if(a%i==0)
			{
			return false;
			break;
		}}
	}
	return snt;
}
int main()
{
	ifstream f1("demnt.inp");
	ofstream f2("demnt.out");
	int n;
	int count=0,i;
	f1>>n;
	int z[2000];
	for(i=1;i<=n;i++)
	f1>>z[i];
	for(i=1;i<=n;i++)
	{
		if(snt(z[i])==true)
		count++;
	}
	f2<<count;
	f1.close();
	f2.close();
		return 0;
}
